﻿Imports System
Imports System.Windows
Imports System.Windows.Controls


Class EventExample
    Inherits Application
    ' WPF apps should execute on a STA thread
    <STAThread>
    Shared Sub Main(args As String())

        Dim app = New EventExample()
        app.Run()
    End Sub

    Protected Overrides Sub OnStartup(e As StartupEventArgs)
        MyBase.OnStartup(e)
        Dim window = New EventWindow()
        window.Title = "Event Example"
        window.Height = 228
        window.Width = 200

        window.WindowStartupLocation =
            WindowStartupLocation.CenterScreen
        window.Show()
    End Sub
End Class
   
Class EventWindow
    Inherits Window
   
    Dim calendar As Calendar
    Public Sub New()
        Dim mainPanel = New StackPanel()
        calendar = New Calendar()
        Dim button1 = New Button()
        button1.Content = "Highlight"
        Dim button2 = New Button()
        button2.Content = "No Highlight"

        Dim buttonPanel = New StackPanel()
        buttonPanel.Orientation = Orientation.Horizontal
        buttonPanel.HorizontalAlignment =
            System.Windows.HorizontalAlignment.Center
        buttonPanel.Children.Add(button1)
        buttonPanel.Children.Add(button2)

        mainPanel.Children.Add(calendar)
        mainPanel.Children.Add(buttonPanel)

        AddHandler button1.Click, AddressOf OnClick1
        AddHandler button2.Click, AddressOf OnClick2
        Me.Content = mainPanel
    End Sub

    Sub OnClick1(sender As Object, e As RoutedEventArgs)
        calendar.IsTodayHighlighted = True
    End Sub

    Sub OnClick2(sender As Object, e As RoutedEventArgs)
        calendar.IsTodayHighlighted = False
    End Sub
End Class

